geos::triangulate::quadedge::QuadEdgeLocator Class Referenceabstract

An interface for classes which locate an edge in a `QuadEdgeSubdivision` which either contains a given `Vertex` V or is an edge of a triangle which contains V. More...

`#include <QuadEdgeLocator.h>`

Inheritance diagram for geos::triangulate::quadedge::QuadEdgeLocator:

## Public Member Functions

virtual QuadEdge * | locate (const Vertex &v)=0

## Detailed Description

An interface for classes which locate an edge in a `QuadEdgeSubdivision` which either contains a given `Vertex` V or is an edge of a triangle which contains V.

Implementors may utilized different strategies for optimizing locating containing edges/triangles.

Author
  JTS: Martin Davis
  Ben Campbell

## Member Function Documentation

## locate()

virtual QuadEdge * geos::triangulate::quadedge::QuadEdgeLocator::locate | ( | const Vertex & | v | ) |

pure virtual

Implemented in geos::triangulate::quadedge::LastFoundQuadEdgeLocator.

The documentation for this class was generated from the following file:

- QuadEdgeLocator.h